Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.data
Class Reader

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.data.Reader

Direct Known Subclasses:
  ArrayReader, JsonReader, XmlReader

    public abstract class Reader

extends JsObject

Base abstract reader class. A Reader class defines the metadata of the data that needs to be read. The actual datasource is defined as by a `DataProxy` implmentation. A `Store` is build using a Reader and a DataProxy and is capable of actually reading the data out of the data source into `Record` objects. Several widgets like `ComboBox` and `GridPanel` are backed by `Store` to provide the "model" for the widget.

Field Summary
`protected com.google.gwt.core.client.JavaScriptObject` | `configJS`
`protected RecordDef` | `recordDef`

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`Reader()`

Method Summary
`protected com.google.gwt.core.client.JavaScriptObject` | `create(com.google.gwt.core.client.JavaScriptObject config, com.google.gwt.core.client.JavaScriptObject recordDef)`
`com.google.gwt.core.client.JavaScriptObject` | `getJsObj()`
`RecordDef` | `getRecordDef()`
`void` | `setRecordDef(RecordDef recordDef)`

Methods inherited from class com.gwtext.client.core.JsObject
`getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### configJS

    protected com.google.gwt.core.client.JavaScriptObject configJS

### recordDef

    protected RecordDef recordDef

Constructor Detail

### Reader

    public Reader()

Method Detail

### getRecordDef

    public RecordDef getRecordDef()

### setRecordDef

    public void setRecordDef(RecordDef recordDef)

### getJsObj

    public com.google.gwt.core.client.JavaScriptObject getJsObj()

  Overrides:
    `getJsObj` in class `JsObject`

### create

    protected com.google.gwt.core.client.JavaScriptObject create(com.google.gwt.core.client.JavaScriptObject config,
                                                                 com.google.gwt.core.client.JavaScriptObject recordDef)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD